
.section {
    margin-block: 6.5rem
}

.section.section-w-padding {
    padding-block: 6.5rem;
    margin-block: 0;
}
.section-title {
    font-size: 1.8rem;
    margin-bottom: 50px;
    font-weight: 500;
}

.section-title h2 {
    margin-bottom: 1.2rem;
}

@media (max-width: 575px) {
    .section-footer .atom_button {
        width: 100%;
    }
    .section {
        margin-block: 4rem
    }
    
    .section.section-w-padding {
        padding-block: 4rem;
        margin-block: 0;
    }
}

/* Bloc photo texte */
.media-text {
    display: grid;
    grid-template-columns: minmax(320px, 50%) 1fr;
    align-items: center;
    margin-bottom: 6.3rem;
}

.media-text:last-of-type {
    margin-bottom: 0;
}

.media-text.media-text--reverse .media-text__media {
    order: 2;
}

.media-text.media-text--reverse .media-text__content {
    order: 1;
}
.media-text .media-text__content {
    padding-left: 10rem;
}

.media-text .media-text__content.have-padding {
    padding-inline: 10rem
}

.media-text.media-text--reverse .media-text__content {
    padding-right: 10rem;
    padding-left: inherit;
}

.media-text .media-text__content ol,
.media-text .media-text__content ul {
    margin: 3rem 0;
}

.media-text .media-text__content ol li {
    position: relative;
    line-height: 2.8rem;
    padding-left: 2rem;
}
.media-text .media-text__content ol li::before {
    position: absolute;
    left: 0;
    top: 0;
}

@media (max-width: 1199px) {
    .media-text .media-text__content {
        padding-left: 3rem;
    }
    
    .media-text.media-text--reverse .media-text__content {
        padding-right: 3rem;
    }
    .media-text .media-text__content.have-padding {
        padding-inline: 3rem 0;
    }
}

@media (max-width: 991px) {
    .media-text {
        display: block;
    }

    .media-text .media-text__media {
        margin-bottom: 2rem;
    }

    .media-text .media-text__content,
    .media-text.media-text--reverse .media-text__content,
    .media-text .media-text__content.have-padding {
        padding-inline: 0;
    }
}
@media (max-width: 767px) {
    .media-text {
        margin-bottom: 3.8rem;
    }
}
/* Bloc Avis */
.avis-components {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}
/* Si slick est initialisé, on affiche le bloc en block */
.avis-components.slick-initialized {
    display: block;
}
.avis-components.slick-initialized .slick-track {
    display: flex;
}
.avis-components.slick-initialized .avis-component--item-wrapper,
.avis-components.slick-initialized a.slick-slide {
    float: none;
    padding: 0 10px;
    display: grid;
    height: auto;
}

.avis-components.slick-initialized .avis-component--item-wrapper .avis-component--item {
    height: 100%;
}

.avis-component--item {
    background-color: rgba(var(--rgb_c-primary), 0.3);
    padding: 4rem 3rem;
    border-radius: 20px;
    text-align: center;
    height: 100%;
}

.avis-component--item .avis-component__rating__stars {
    margin-bottom: 1.8rem;
}

.avis-component--item .avis-title {
    color: var(--black);
    margin-bottom: 1.5rem;
    font-weight: 600;
}

.avis-component--item .avis-component__author {
    font-size: 1.3rem;
    margin-top: 1.5rem;
}

@media (max-width: 991px) {
    .avis-components {
        display: block;
    }
    .avis-component--item-wrapper {
        padding-inline: 10px;
        padding-bottom: 10px;
    }
}

@media (max-width: 767px) {
    .avis-components .slick-track {
        padding-left: 30px;
    }
    .avis-component--item-wrapper {
        padding: 0;
        margin-inline: 8px;
    }
}


/* Bloc CTA */
.cta_bloc {
    padding: 3rem;
    border-radius: 20px;
    color: var(--white);
}

.cta_bloc h2,
.cta_bloc h3 {
    color: var(--white);
    margin-bottom: 0;
}

.cta_bloc .cta_bloc__content {
    display: grid;
    row-gap: 2rem;
}

.cta_bloc .cta_bloc__content p {
    margin-bottom: 0;
}

.cta_bloc .cta_bloc__content .large-text {
    font-weight: normal;
    line-height: 1;
    font-size: 18px;
}

.cta_bloc .cta_bloc__content small {
    text-align: left;
    font-size: 1.2rem;
    line-height: 1.8rem;
}

@media (max-width: 575px) {
    .cta_bloc {
        margin-inline: -15px;
    }
}

/* search and filter */
.allResult {
    padding-block: 4rem;
}
.search-filter-base .search-filter-component-combobox-base {
    border-radius: 0;
    border-color: var(--black);
}

.search-filter-base .search-filter-component-combobox-base .search-filter-component-combobox__listbox-toggle::before {
    display: none;
} 

.search-filter-component-combobox__listbox-toggle .search-filter-icon {
    transform: rotate(-90deg);
}

.search-filter-component-combobox-base .search-filter-component-combobox__listbox-toggle svg {
    fill: var(--black);
    color: var(--black);
}

.search-filter-base  .search-filter-component-combobox-base__listbox-option--selected {
    background-color: var(--white);
    border-color: var(--black);
    font-weight: 600;
    color: var(--black);
}

.search-filter-component-combobox-base__listbox-option {
    color: var(--black);
}

.search-filter-base .search-filter-component-combobox .search-filter-component-combobox__clear-selection {
    display: none;
}

.search-filter-base .search-filter-component-combobox--mode-single .search-filter-component-combobox__selection,
.search-filter-base .search-filter-component-combobox--mode-single input[type=text] {
    min-height: 0;
    font-size: 1.6rem;
    color: black;
}
/* Bloc Tabs */
#tab-component {
    display: grid;
    grid-template-columns: 220px 1fr;
    gap: 5.5rem;
}

.tab-component__nav--tabs__link {
    background-color: white;
    border: none;
    border-bottom: 0.25px solid var(--black);
    padding: 15px;
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--black);
    text-align: left;
    width: 100%;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.tab-component__nav--tabs__item.active .tab-component__nav--tabs__link {
    background-color: #E5E5E5;
}

.tab-component__content--tabs__item {
    display: none;
}
.tab-component__content--tabs__item.active {
    display: block;
}

@media (max-width: 992px) {
    #tab-component {
        grid-template-columns: 1fr;
        gap: 2rem;
    }

    .tab-component__nav--tabs {
        display: block;
    }
    .tab-component__nav--tabs__item .tab-component__content--tabs__item {
        padding: 3rem 0;
        display: none;
    }
    .tab-component__nav--tabs__item { 
        flex: 1;
    }
}

/* Bloc Products List */
@media (max-width: 767px) {
    #products-list .slick-track {
        display: flex;
        padding-left: 20px;
    }

    #products-list .slick-slide {
        padding-inline: calc(35px / 2);
    }
}

/* (Zo) Override Customer Reviews WooCommerce */
.cr-reviews-grid {
    padding: 0;
}

.cr-all-reviews-shortcode .cr-review-form-wrap .cr-review-form-buttons .cr-review-form-submit,
.cr-ajax-reviews-review-form .cr-review-form-wrap .cr-review-form-buttons .cr-review-form-submit,
.cr-reviews-grid .cr-review-form-wrap .cr-review-form-buttons .cr-review-form-submit,
.cr-qna-block .cr-review-form-buttons .cr-review-form-submit,
.cr-all-reviews-shortcode .cr-summaryBox-wrap .cr-add-review-wrap .cr-all-reviews-add-review,
.cr-all-reviews-shortcode .cr-review-form-res .cr-review-form-result .cr-review-form-continue {
    background-color: var(--c-primary);
    border-radius: 20px;
}

.cr-all-reviews-shortcode .cr-summaryBox-wrap .cr-add-review-wrap .cr-all-reviews-add-review:hover, .cr-reviews-grid .cr-summaryBox-wrap .cr-add-review-wrap .cr-all-reviews-add-review:hover,
.cr-all-reviews-shortcode .cr-review-form-res .cr-review-form-result .cr-review-form-continue:hover {
    background-color: var(--c-secondary);
}

.cr-all-reviews-shortcode .cr-review-form-wrap .cr-review-form-nav {
    border: none;
}

.cr-all-reviews-shortcode .cr-review-form-wrap .cr-review-form-nav .cr-nav-left svg {
    background-color: var(--c-primary);
    border-radius: 50%;
    width: 40px;
    height: 40px;
}

.cr-all-reviews-shortcode .cr-review-form-wrap .cr-review-form-nav .cr-nav-left svg path {
    stroke: white
}
.cr-all-reviews-shortcode .cr-review-form-wrap .cr-review-form-nav h2 {
    margin: 0;
}


/* Popup review */

#review-popup .cr-all-reviews-shortcode .cr-summaryBox-wrap,
#review-popup .cr-all-reviews-shortcode ol.commentlist,
#review-popup .cr-reviews-grid.cr-reviews-grid-new-review .cr-reviews-grid-inner,
#review-popup .cr-all-reviews-shortcode .cr-review-tags-filter,
#review-popup .cr-reviews-grid.cr-reviews-grid-new-review .cr-review-tags-filter,
#review-popup .cr-all-reviews-shortcode .cr-review-form-wrap .cr-review-form-nav,
#review-popup .cr-ajax-search,
#review-popup .cr-count-row,
#review-popup #cr-show-more-all-reviews {
    display: none;
}

#review-popup .cr-all-reviews-shortcode .cr-review-form-wrap,
#review-popup .cr-reviews-grid .cr-review-form-wrap,
#review-popup .cr-qna-block .cr-qna-new-q-form {
    display: block;
}

.cusrev-review-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

.popup-wrap {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.popup-content {
    background: #fff;
    border-radius: 8px;
    padding: 20px;
    width: 90%;
    max-width: 500px;
    max-height: 80vh;
    overflow-y: auto;
    box-shadow: 0 4px 20px rgba(0,0,0,0.2);
    position: relative;
}

.popup-close {
    position: absolute;
    top: 12px;
    right: 16px;
    font-size: 24px;
    cursor: pointer;
    color: #999;
}

.cr-all-reviews-shortcode .cr-review-form-wrap .cr-review-form-buttons .cr-review-form-cancel, .cr-ajax-reviews-review-form .cr-review-form-wrap .cr-review-form-buttons .cr-review-form-cancel, .cr-reviews-grid .cr-review-form-wrap .cr-review-form-buttons .cr-review-form-cancel, .cr-qna-block .cr-review-form-buttons .cr-review-form-cancel {
    border-radius: 20px;
}

/* Newsletter */
.mj-message {
    padding: 20px;
    border: 1px solid #c7c6c7;
    text-align: center;
    background-color: white;
    color: var(--c-primary);
    border-radius: 10px;
}

.mj-message + form {
    margin-top: 40px;
}

.mj-message.mj-success {
    background-color: #cde6c3;
    border-color: #a6d986;
}

.mj-message.mj-error {
    background-color: #ffe1e1;
    border-color: #f6b0b0;
    color: #b61313;
}